/*
 * config.h - compile-time options for GKLJ 0.1.3
 * Copyright 2001 Austin Jennings <axial@users.sourceforge.net>
 *
 * GKLJ is protected under the terms of the GNU General Public License.
 * See the file 'COPYING' for details.
 */

/* defining this will cause system call failures and timeouts to be indicated
 * on the panel, data sent to and from LJ to be forwarded to stdout, and
 * all error messages to be forwarded to stderr.  Be careful where you put
 * stdout; it will contain your livejournal password. */
#undef GKLJ_DEBUG

/* location of plugin */
#define PLUGIN_PLACEMENT (MON_MAIL | MON_INSERT_AFTER)

/* host and port to connect to */
#define LIVEJOURNAL_HOST "www.livejournal.com"
#define LIVEJOURNAL_PORT 80

/* minimum number of seconds between polls.  Don't set this lower than 30,
 * since it's used as a default when we don't know how long we should wait
 * before doing something.  If you're in no rush, set it higher and save
 * LiveJournal the extra load. */
#define MIN_INTERVAL 30

/* number of seconds before an attempt at talking to LJ times out. */
#define TIMEOUT 60
