/*
 * gklj.h - header file for GKLJ 0.1.3
 * Copyright 2001 Austin Jennings <axial@users.sourceforge.net>
 *
 * GKLJ is protected under the terms of the GNU General Public License.
 * See the file 'COPYING' for details.
 */

#ifndef GKLJ_H
#define GKLJ_H

enum State {
	STATE_LOGIN_WAIT,
	STATE_LOGIN_CONNECT,
	STATE_LOGIN_WRITE,
	STATE_LOGIN_READ,
	STATE_CHECKFRIENDS_WAIT,
	STATE_CHECKFRIENDS_CONNECT,
	STATE_CHECKFRIENDS_WRITE,
	STATE_CHECKFRIENDS_READ
};

enum Parse {
	 PARSE_NONE,
	 PARSE_IGNORE,
	 PARSE_TYPE,
	 PARSE_SUCCESS,
	 PARSE_MESSAGE,
	 PARSE_FASTSERVER,
	 PARSE_LASTUPDATE,
	 PARSE_NEW,
	 PARSE_INTERVAL
};

Monitor *init_plugin();
static void create_plugin(GtkWidget *vbox, gint first_create);
static void update_plugin();
static void create_plugin_tab(GtkWidget *tab_vbox);
static void apply_plugin_config();
static void save_plugin_config(FILE *f);
static void load_plugin_config(gchar *arg);
static gint panel_expose_event(GtkWidget *widget, GdkEventExpose *ev);
static gint panel_button_press_event(GtkWidget *widget,
				     GdkEventButton *ev);
static void redraw();
static gboolean prepare_socket(int *s, struct hostent *he);
static char *request(gint argc, ...);
static char *htmlesc(char *str);
static gboolean parse_login(char *str);
static gboolean parse_checkfriends(char *str);
static void encrypt_password();

#endif				/* GKLJ_H */
